Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast
Class InnerClassNode

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.ClassNode
                  org.codehaus.groovy.ast.InnerClassNode

    class InnerClassNode
    extends ClassNode

Represents an inner class declaration

author:
  James Strachan

version:
  $Revision: 18324 $

Field Summary

Fields inherited from class ClassNode
clazz, innerClasses, isPrimaryNode, lazyInitLock

Constructor Summary
`InnerClassNode(ClassNode outerClass, String name, int modifiers, ClassNode superClass)`
`InnerClassNode(ClassNode outerClass, String name, int modifiers, ClassNode superClass, ClassNode[] interfaces, MixinNode[] mixins)`

Method Summary
`ClassNode` | `getOuterClass()`
`FieldNode` | `getOuterField(String name)`
`VariableScope` | `getVariableScope()`
`void` | `setVariableScope(VariableScope scope)`

Methods inherited from class ClassNode
ClassNode, ClassNode, ClassNode, addConstructor, addConstructor, addField, addField, addFieldFirst, addFieldFirst, addInterface, addMethod, addMethod, addMixin, addObjectInitializerStatements, addProperty, addProperty, addStaticInitializerStatements, addSyntheticMethod, addTransform, declaresInterface, equals, getAbstractMethods, getAllDeclaredMethods, getAllInterfaces, getAnnotations, getAnnotations, getCompileUnit, getComponentType, getDeclaredConstructors, getDeclaredField, getDeclaredMethod, getDeclaredMethods, getDeclaredMethodsMap, getEnclosingMethod, getField, getFields, getGenericsTypes, getGetterMethod, getInnerClasses, getInterfaces, getMethod, getMethods, getMethods, getMixins, getModifiers, getModule, getName, getNameWithoutPackage, getObjectInitializerStatements, getOuterClass, getOuterField, getPackage, getPackageName, getPlainNodeReference, getProperties, getProperty, getSetterMethod, getSuperClass, getTransforms, getTypeClass, getUnresolvedInterfaces, getUnresolvedInterfaces, getUnresolvedName, getUnresolvedSuperClass, getUnresolvedSuperClass, hasDeclaredMethod, hasMethod, hasPackageName, hasPossibleMethod, hasPossibleStaticMethod, hasProperty, hashCode, implementsInterface, isAnnotated, isAnnotationDefinition, isArray, isDerivedFrom, isDerivedFromGroovyObject, isEnum, isGenericsPlaceHolder, isInterface, isPrimaryClassNode, isResolved, isScript, isScriptBody, isStaticClass, isUsingGenerics, makeArray, parametersEqual, positionStmtsAfterEnumInitStmts, redirect, renameField, setAnnotated, setCompileUnit, setEnclosingMethod, setGenericsPlaceHolder, setGenericsTypes, setInterfaces, setModifiers, setModule, setName, setRedirect, setScript, setScriptBody, setStaticClass, setSuperClass, setUnresolvedSuperClass, setUsingGenerics, toString, tryFindPossibleMethod, visitContents

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, isSynthetic, setDeclaringClass, setSynthetic

Methods inherited from class ASTNode
getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### InnerClassNode

    public InnerClassNode(ClassNode outerClass, String name, int modifiers, ClassNode superClass)

  param:
    name is the full name of the class
  param:
    modifiers the modifiers, @see org.objectweb.asm.Opcodes
  param:
    superClass the base class name - use "java.lang.Object" if no direct base class

### InnerClassNode

    public InnerClassNode(ClassNode outerClass, String name, int modifiers, ClassNode superClass, ClassNode[] interfaces, MixinNode[] mixins)

  param:
    name is the full name of the class
  param:
    modifiers the modifiers, @see org.objectweb.asm.Opcodes
  param:
    superClass the base class name - use "java.lang.Object" if no direct base class

Method Detail

### getOuterClass

    public ClassNode getOuterClass()

### getOuterField

    public FieldNode getOuterField(String name)

  return:
    the field node on the outer class or null if this is not an inner class

### getVariableScope

    public VariableScope getVariableScope()

### setVariableScope

    public void setVariableScope(VariableScope scope)

Copyright © 2003-2009 The Codehaus. All rights reserved.